-- Rust
require'lspconfig'.rust_analyzer.setup {
    on_attach = require'completion'.on_attach
}

-- Lua
require'lspconfig'.sumneko_lua.setup {
    on_attach = require'completion'.on_attach,
    cmd = {'/usr/bin/lua-language-server'},
    settings = {
        Lua = {
            runtime = {
                -- Tell the language server which version of Lua you're using (most likely LuaJIT in the case of Neovim)
                version = 'LuaJIT',
                -- Setup your lua path
                path = vim.split(package.path, ';')
            },
            diagnostics = {
                -- Get the language server to recognize the `vim` global
                globals = {'vim'}
            },
            workspace = {
                -- Make the server aware of Neovim runtime files
                library = {
                    [vim.fn.expand('$VIMRUNTIME/lua')] = true,
                    [vim.fn.expand('$VIMRUNTIME/lua/vim/lsp')] = true
                }
            }
        }
    }
}

-- YAML
require'lspconfig'.yamlls.setup {on_attach = require'completion'.on_attach}

-- JavaScript / TypeScript
require'lspconfig'.tsserver.setup {on_attach = require'completion'.on_attach}
